System 2.0.0.0 4.0.0.0 System.Exception To be added.

Provides an exception that is thrown when an invalid type is used with a object.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class based on the supplied parameter.

  A string containing an exception message.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class based on the supplied parameters.

  The that holds the serialized object data about the exception being thrown.
  The that contains contextual information about the source or destination of the serialized stream.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class based on the supplied parameters.

  A string containing an exception message.
  The exception that is the cause of the current exception.